// $variant: 'dark';
$variant: 'light';

@import '../_colors.scss';
@import '../_drawing.scss';
@import '../_common.scss';

/* Top bar panel */
.phosh-panel {
	// font: 15px Cantarell;
}

.phosh-panel-btn {
	background-image: none;
	border-width: 0;
}

.phosh-topbar-clock {
	font-weight: bold;
}

/* Home bar */

.phosh-osk-button {
	border-radius: 50%;
	min-width: 0;
	min-height: 0;
	padding: 6px;
}

/* Settings menu */
.phosh-settings-menu {
	background-color: black;
	border-bottom-right-radius: 10px;
	border-bottom-left-radius: 10px;
 }

.phosh-settings-listboxrow {
	padding: 0;
}

.phosh-settings-row {
	box-shadow: none;
	background-color: black;
}

.phosh-settings-menu button.circular:not(:hover):not(:active) {
	border: 2px solid $bg_color;
}

/* Favorites / Home screen */
.phosh-activity {
	background: rgba(255,255,255,0.8);
	border: none;
	border-radius: 0;
	background: url('resource:///sm/puri/.phosh/fake-app.svg');
	background-size: cover;
	box-shadow: 0 2px 2px rgba(0,0,0,0.4), 0 3px 16px rgba(0,0,0,0.3);
}

.phosh-activity box {
	background: rgba(0, 0, 0, 0.7);
	padding: 6px;
	color: white;
	font-weight: bold;
}

.phosh-activity:focus box {
	background: rgba(38, 35, 83, 0.7);
}

.phosh-home, .phosh-panel {
	background: black;
	color: white;
}

.phosh-activity-close-button {
	border-radius: 50%;
	min-width: 0;
	min-height: 0;
	margin: 12px;
	padding: 12px;
}

/* Overview (app switcher, favorites) */

.phosh-overview {
	background: black;
}

.phosh-favorite {
	background: none;
	border: none;
	box-shadow: none;
	padding: 0;
	-gtk-icon-shadow: 0 1px 2px rgba(0,0,0,0.4), 0 1px 8px rgba(0,0,0,0.2);
}

.phosh-favorite:hover {
	-gtk-icon-effect: none;
}

.phosh-favorite:active {
	-gtk-icon-effect: highlight;
}

/* Lock screen */
.phosh-lockscreen, .phosh-lockshield {
	background-color: black;
}

.phosh-lockscreen-clock {
	font-size: 72px;
	font-weight: 100;
}

.phosh-lockscreen-arrow {
	transition: 400ms linear;
	animation: pulsate 1.8s ease-out;
	animation-iteration-count: 15;
}

@keyframes pulsate {
	0% {-gtk-icon-transform: translateY(0); opacity: 0.7}
	35% {-gtk-icon-transform: translateY(-14px); opacity: 1}
	100% {-gtk-icon-transform: translateY(0); opacity: 0.7}
}

/* system modal dialogs (polkit, gcr) */
.phosh-system-modal-dialog {
	background-color: black;
	border: solid 2px;
	border-color: white;
	border-radius: 10px;
	padding: 18px;
}

/* switcher */
.phosh-overview {
	background: rgba(0,0,0,0.6);
}

.phosh-app-grid {
	background: rgba(0,0,0,0.4);
}

.phosh-app-grid separator {
	background: gray;
	padding: 1px;
}

.phosh-app-grid-button {
	font-size: 0.8rem;
}

.phosh-app-grid-button button, .phosh-app-grid-button button:hover {
	background: none;
	padding: 0;
	margin: 0;
	border: 1px solid transparent;
}

.phosh-app-grid-button button:hover,
.phosh-app-grid-button button:focus,
.search-active .phosh-app-grid-button:first-child button {
	background: rgba(46, 45, 45, 0.6);
	border-radius: 5px;
}

.phosh-app-grid-button button:focus {
  border-color: $selected_bg_color;
}

/* notifications */
.phosh-notification {
	background-color: black;
	border: solid 2px;
	border-color: white;
	border-radius: 10px;
	padding: 18px;
}

.phosh-notification-bg {
	background: none;
}

// HTML Extended Styles

.phosh-home {
	position: absolute;
	bottom:0;
	width: 100%;
	display: block;
	height: 32px;
}

.phosh-arrow {
	display: block;
	margin:4px auto;
}
